function Get-InsightCloudParameters {
    [CmdletBinding()]
    [OutputType('Parameters')]
    param ([Parameter(Mandatory = $true)][Parameters]$Parameters)

    # Get server related parameters.
    $Parameters = Get-InsightCloudServerParameters $Parameters

    # Get database related parameters.
    $Parameters = Get-InsightCloudDatabaseParameters $Parameters
    
    return $Parameters
}